com.microfocus.awm.model

## Interface ITaurusPropertySetUtilities

- Deprecated.
  the property set tools became function package tools and are no longer implemented in the AWM core, so this interface became out dated.

      @Deprecated
      public interface ITaurusPropertySetUtilities

  Interface for creating, associating and removing property sets.
  Author:
    Christelle Biahmou

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ToolExecutionStatus` | `propertySetAssociator(IExecutionContext pContext, ToolDescriptor pTool, FileDescriptor pFileDescriptor, java.lang.String pPropertySetName, boolean pIsLocalPropertySet, org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Associates the property set with the giving name to the element.
    `ToolExecutionStatus` | `propertySetAssociatorUI(IExecutionContext pContext, ToolDescriptor pTd, Property pPropertySet, FileDescriptor pFileDescriptor, IElement pElement, java.lang.Boolean pIsLocalPropertySet, org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Allows the user to select the property set that will be associated to the element via a dialog.
    `ToolExecutionStatus` | `propertySetCreator(IExecutionContext pContext, ToolDescriptor pTool, java.lang.String pPropertySetName, java.lang.String pMemberLanguage, java.lang.String pSyslibs, boolean pIsLocalPropertySet, boolean pReplace, java.lang.String pPropertySetTemplate, org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Creates a property set with the giving name and language and add the copy libraries to it.
    `ToolExecutionStatus` | `propertySetRemover(IExecutionContext pContext, ToolDescriptor pTool, java.lang.String pPropertySetName, boolean pIsLocalPropertySet, org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Remove the property set with the giving name on the system.

- - ### Method Detail

    - #### propertySetCreator

          ToolExecutionStatus propertySetCreator(IExecutionContext pContext,
                                                 ToolDescriptor pTool,
                                                 java.lang.String pPropertySetName,
                                                 java.lang.String pMemberLanguage,
                                                 java.lang.String pSyslibs,
                                                 boolean pIsLocalPropertySet,
                                                 boolean pReplace,
                                                 java.lang.String pPropertySetTemplate,
                                                 org.eclipse.core.runtime.IProgressMonitor pMon)
                                          throws TaurusToolException

      Deprecated.
      Creates a property set with the giving name and language and add the copy libraries to it.
      Parameters:
        `pContext` - the context of the executing action
        `pTool` - this tool
        `pPropertySetName` - the name of the property set that will be created
        `pMemberLanguage` - the member language category (COBOL, PLI)
        `pSyslibs` - the copy libraries
        `pIsLocalPropertySet` - whether the property set is local or remote
        `pReplace` - whether the property set should be replaced if it already exists
        `pPropertySetTemplate` - the name of a property set that will use as template or `null` if no template is needed
        `pMon` - the progress monitor
      Returns:
        the tool execution status
      Throws:
        `TaurusToolException` - if an Exception of any kind occurs

    - #### propertySetAssociator

          ToolExecutionStatus propertySetAssociator(IExecutionContext pContext,
                                                    ToolDescriptor pTool,
                                                    FileDescriptor pFileDescriptor,
                                                    java.lang.String pPropertySetName,
                                                    boolean pIsLocalPropertySet,
                                                    org.eclipse.core.runtime.IProgressMonitor pMon)
                                             throws TaurusToolException

      Deprecated.
      Associates the property set with the giving name to the element.
      Parameters:
        `pContext` - the context of the executed action
        `pTool` - this tool
        `pFileDescriptor` - the file descriptor of this tool
        `pPropertySetName` - the name of the property set that will be associated
        `pIsLocalPropertySet` - whether the property set is local or remote
        `pMon` - the progress monitor
      Returns:
        the tool execution status
      Throws:
        `TaurusToolException` - if an Exception of any kind occurs

    - #### propertySetAssociatorUI

          ToolExecutionStatus propertySetAssociatorUI(IExecutionContext pContext,
                                                      ToolDescriptor pTd,
                                                      Property pPropertySet,
                                                      FileDescriptor pFileDescriptor,
                                                      IElement pElement,
                                                      java.lang.Boolean pIsLocalPropertySet,
                                                      org.eclipse.core.runtime.IProgressMonitor pMon)
                                               throws TaurusToolException

      Deprecated.
      Allows the user to select the property set that will be associated to the element via a dialog. If a property set is already associated with the element, this will be preselected.
      Parameters:
        `pContext` - the context of the executing action
        `pTd` - this tool
        `pPropertySet` - the property set
        `pFileDescriptor` - the file descriptor that contains information of the element
        `pElement` - the selected AWM element
        `pIsLocalPropertySet` - whether the property set is local or remote
        `pMon` - the progress monitor
      Returns:
        the tool execution status
      Throws:
        `TaurusToolException` - if an Exception of any kind occurs

    - #### propertySetRemover

          ToolExecutionStatus propertySetRemover(IExecutionContext pContext,
                                                 ToolDescriptor pTool,
                                                 java.lang.String pPropertySetName,
                                                 boolean pIsLocalPropertySet,
                                                 org.eclipse.core.runtime.IProgressMonitor pMon)
                                          throws TaurusToolException

      Deprecated.
      Remove the property set with the giving name on the system.
      Parameters:
        `pContext` - the context of the executed action
        `pTool` - the executed tool
        `pPropertySetName` - the name of the property set that will be removed
        `pIsLocalPropertySet` - whether the property set is local or remote
        `pMon` - the progress monitor
      Returns:
        the tool execution status
      Throws:
        `TaurusToolException` - if an Exception of any kind occurs

Copyright © 2015 Micro Focus GmbH. All rights reserved.